Bug 1404882 - Review Request: python-atpublic - Decorator for populating a Python module's __all__
Summary: Review Request: python-atpublic - Decorator for populating a Python module's ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1404883
TreeView+ depends on / blocked
 
Reported: 2016-12-14 23:29 UTC by Aurelien Bompard
Modified: 2017-06-09 19:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:27:11 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Aurelien Bompard 2016-12-14 23:29:09 UTC
Spec URL: https://abompard.fedorapeople.org/reviews/atpublic/python-atpublic.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/atpublic/python-atpublic-0.5-1.fc25.src.rpm
Description:
This is a very simple decorator and function which populates a 
module's __all__ and optionally the module globals. 
This provides both a pure-Python implementation and a C implementation. 
It is proposed that the C implementation be added to built-ins for 
Python 3.6.

Fedora Account System Username: abompard

Comment 1 Neal Gompa 2017-06-02 22:24:58 UTC
Taking this review.

Comment 2 Neal Gompa 2017-06-02 23:36:09 UTC
> BuildRequires: python3-pkgversion-macros

This package has been superseded by "python-srpm-macros" and thus doesn't build in Rawhide anymore. Please replace.

Comment 4 Neal Gompa 2017-06-03 11:49:05 UTC
Review notes:

- Follows Python packaging guidelines
- Follows extended guidelines for EPEL
- Builds and installs
- No rpmlint issues
- No fedora-review issues

PACKAGE APPROVED.

Comment 5 Gwyn Ciesla 2017-06-05 12:38:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-atpublic

Comment 6 Fedora Update System 2017-06-05 14:01:32 UTC
python-atpublic-0.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-95829ff977

Comment 7 Fedora Update System 2017-06-05 19:06:25 UTC
python-atpublic-0.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-95829ff977

Comment 8 Fedora Update System 2017-06-09 19:27:11 UTC
python-atpublic-0.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.